Name:           python-oai-repo
Version:        0.5.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        OAI-PMH Repository Server

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/MSU-Libraries/oai_repo
Source:         %{pypi_source oai_repo}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'oai-repo' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-oai-repo
Summary:        %{summary}

%description -n python3-oai-repo %_description


%prep
%autosetup -p1 -n oai_repo-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-oai-repo -f %{pyproject_files}


%changelog
%autochangelog